View Issue Details

IDProjectCategoryView StatusLast Update
0002842Part[FreeCAD] Bugpublic2019-02-23 20:31
ReporterOutsourcedGuru Assigned Topeterl94  
PrioritynormalSeveritycrashReproducibilityalways
Status assignedResolutionopen 
PlatformMacBook ProOSMac OS XOS Version10.11.6
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.19Fixed in Version 
Summary0002842: Crash on "Face from Edges"
DescriptionWas working through online tutorial https://www.youtube.com/watch?v=fxKxSOGbDYs
"FreeCAD: How to make threads"

Steps To ReproduceAt the 4:14 offset of the video ( https://youtu.be/fxKxSOGbDYs?t=4m14s ), this is the sequence which consistently crashes the program.

* Advanced utility to create shapes
* Face from edges
* Left-mouse click circle
* Click the Create button
* Watch program crash and window close immediately
Additional InformationOS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9586 (Git)
Build type: Release
Branch: (detached from 0e2cf2e)
Hash: 0e2cf2ebcaaa50723de608cf030af740cb6ad548
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.0.0
Tags#pending, MacOSX, OCC 7.2, OCC Bug, upstream

Relationships

duplicate of 0002985 closed Part.makeFilledFace is crashing FreeCAD (upstream OCC bug) 

Activities

Kunda1

2017-01-12 15:46

administrator   ~0007674

@OutsourcedGuru Can you provide a backtrace? http://www.freecadweb.org/wiki/index.php?title=Debugging
I think on OSX you can use lldb

Kunda1

2017-01-17 20:25

administrator   ~0007851

@OutsourcedGuru please respond

Kunda1

2017-01-25 12:51

administrator   ~0007982

Posted to forum: https://forum.freecadweb.org/viewtopic.php?f=10&t=20215

Kunda1

2017-01-25 21:15

administrator   ~0007986

@OutsourcedGuru Please respond to https://forum.freecadweb.org/viewtopic.php?f=10&t=20215&p=155927#p155927

OutsourcedGuru

2017-02-01 03:33

reporter   ~0008142

Sorry for the delay. There's your crash dump, per your instructions.

Kunda1

2017-02-01 23:19

administrator  

CrashDump.txt (8,016 bytes)
macbook:/ justincase$ cd /Applications/FreeCAD.app/Contents/bin
macbook:bin justincase$ lldb FreeCAD
(lldb) target create "FreeCAD"
Current executable set to 'FreeCAD' (x86_64).
(lldb) run
Process 11527 launched: '/Applications/FreeCAD.app/Contents/bin/FreeCAD' (x86_64)
FreeCAD 0.17, Libs: 0.17R9835 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2016
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Coin warning in cc_glglue_instance(): Error when setting up the GL context. This can happen if there is no current context, or if the context has been set up incorrectly.
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
Process 11527 stopped
* thread #1: tid = 0x4cade6, 0x0000000119ed57f1 libTKGeomBase.7.dylib`AdvApp2Var_ApproxF2var::mma2fnc_(int*, int*, int*, double*, AdvApp2Var_EvaluatorFunc2Var const&, double*, int*, int*, double*, int*, int*, int*, int*, int*, double*, int*, double*, int*, double*, double*, double*, double*, double*, double*, double*, int*) + 6579, queue = 'com.apple.main-thread', stop reason = EXC_BAD_INSTRUCTION (code=EXC_I386_INVOP, subcode=0x0)
    frame #0: 0x0000000119ed57f1 libTKGeomBase.7.dylib`AdvApp2Var_ApproxF2var::mma2fnc_(int*, int*, int*, double*, AdvApp2Var_EvaluatorFunc2Var const&, double*, int*, int*, double*, int*, int*, int*, int*, int*, double*, int*, double*, int*, double*, double*, double*, double*, double*, double*, double*, int*) + 6579
libTKGeomBase.7.dylib`AdvApp2Var_ApproxF2var::mma2fnc_:
->  0x119ed57f1 <+6579>: ud2    
    0x119ed57f3 <+6581>: jmp    0x119ed57cd               ; <+6543>
    0x119ed57f5 <+6583>: jmp    0x119ed57cd               ; <+6543>
    0x119ed57f7 <+6585>: ud2    


(lldb) bt
* thread #1: tid = 0x4cade6, 0x0000000119ed57f1 libTKGeomBase.7.dylib`AdvApp2Var_ApproxF2var::mma2fnc_(int*, int*, int*, double*, AdvApp2Var_EvaluatorFunc2Var const&, double*, int*, int*, double*, int*, int*, int*, int*, int*, double*, int*, double*, int*, double*, double*, double*, double*, double*, double*, double*, int*) + 6579, queue = 'com.apple.main-thread', stop reason = EXC_BAD_INSTRUCTION (code=EXC_I386_INVOP, subcode=0x0)
  * frame #0: 0x0000000119ed57f1 libTKGeomBase.7.dylib`AdvApp2Var_ApproxF2var::mma2fnc_(int*, int*, int*, double*, AdvApp2Var_EvaluatorFunc2Var const&, double*, int*, int*, double*, int*, int*, int*, int*, int*, double*, int*, double*, int*, double*, double*, double*, double*, double*, double*, double*, int*) + 6579
    frame #1: 0x0000000119edb538 libTKGeomBase.7.dylib`AdvApp2Var_Iso::MakeApprox(AdvApp2Var_Context const&, double, double, double, double, AdvApp2Var_EvaluatorFunc2Var const&, AdvApp2Var_Node&, AdvApp2Var_Node&) + 2528
    frame #2: 0x0000000119eca30f libTKGeomBase.7.dylib`AdvApp2Var_ApproxAFunc2Var::ComputeConstraints(AdvApprox_Cutting const&, AdvApprox_Cutting const&, AdvApp2Var_EvaluatorFunc2Var const&, AdvApp2Var_Criterion const&) + 569
    frame #3: 0x0000000119ec955f libTKGeomBase.7.dylib`AdvApp2Var_ApproxAFunc2Var::ComputePatches(AdvApprox_Cutting const&, AdvApprox_Cutting const&, AdvApp2Var_EvaluatorFunc2Var const&, AdvApp2Var_Criterion const&) + 447
    frame #4: 0x0000000119ec79ee libTKGeomBase.7.dylib`AdvApp2Var_ApproxAFunc2Var::AdvApp2Var_ApproxAFunc2Var(int, int, int, opencascade::handle<TColStd_HArray1OfReal> const&, opencascade::handle<TColStd_HArray1OfReal> const&, opencascade::handle<TColStd_HArray1OfReal> const&, opencascade::handle<TColStd_HArray2OfReal> const&, opencascade::handle<TColStd_HArray2OfReal> const&, opencascade::handle<TColStd_HArray2OfReal> const&, double, double, double, double, GeomAbs_IsoType, GeomAbs_Shape, GeomAbs_Shape, int, int, int, int, AdvApp2Var_EvaluatorFunc2Var const&, AdvApp2Var_Criterion const&, AdvApprox_Cutting&, AdvApprox_Cutting&) + 652
    frame #5: 0x0000000119ba9d59 libTKGeomAlgo.7.dylib`GeomPlate_MakeApprox::GeomPlate_MakeApprox(opencascade::handle<GeomPlate_Surface> const&, AdvApp2Var_Criterion const&, double, int, int, GeomAbs_Shape, double) + 921
    frame #6: 0x00000001193a452d libTKBool.7.dylib`BRepFill_Filling::Build() + 3873
    frame #7: 0x000000011ad3748d Part.so`Part::Module::makeFilledFace(Py::Tuple const&) + 1037
    frame #8: 0x000000011ad44a1a Part.so`Part::Module::invoke_method_varargs(void*, Py::Tuple const&) + 42
    frame #9: 0x0000000100d8fbaa libFreeCADBase.dylib`method_varargs_call_handler + 218
    frame #10: 0x0000000100f7e907 Python`PyEval_EvalFrameEx + 26252
    frame #11: 0x0000000100f78089 Python`PyEval_EvalCodeEx + 1583
    frame #12: 0x0000000100f77a54 Python`PyEval_EvalCode + 54
    frame #13: 0x0000000100f9b259 Python`run_mod + 53
    frame #14: 0x0000000100f9b416 Python`PyRun_StringFlags + 109
    frame #15: 0x0000000100db8295 libFreeCADBase.dylib`Base::InterpreterSingleton::runString(char const*) + 85
    frame #16: 0x000000010008d217 libFreeCADGui.dylib`Gui::Command::runCommand(Gui::Command::DoCmd_Type, QByteArray const&) + 87
    frame #17: 0x000000011b9a825c PartGui.so`PartGui::ShapeBuilderWidget::createFaceFromEdge() + 1148
    frame #18: 0x000000011b9a6ce9 PartGui.so`PartGui::ShapeBuilderWidget::on_createButton_clicked() + 105
    frame #19: 0x000000011b9a9839 PartGui.so`PartGui::ShapeBuilderWidget::qt_metacall(QMetaObject::Call, int, void**) + 73
    frame #20: 0x000000010488425d QtCore`QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2101
    frame #21: 0x0000000103ffe8c6 QtGui`QAbstractButton::clicked(bool) + 64
    frame #22: 0x0000000103db16f4 QtGui`QAbstractButtonPrivate::emitClicked() + 52
    frame #23: 0x0000000103db15f5 QtGui`QAbstractButtonPrivate::click() + 207
    frame #24: 0x0000000103db1fa2 QtGui`QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 88
    frame #25: 0x0000000103ae33eb QtGui`QWidget::event(QEvent*) + 683
    frame #26: 0x0000000103db1eaf QtGui`QAbstractButton::event(QEvent*) + 179
    frame #27: 0x0000000103aa0a7e QtGui`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 194
    frame #28: 0x0000000103aa2572 QtGui`QApplication::notify(QObject*, QEvent*) + 2460
    frame #29: 0x000000010006b07b libFreeCADGui.dylib`Gui::GUIApplication::notify(QObject*, QEvent*) + 75
    frame #30: 0x000000010486fa24 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 118
    frame #31: 0x0000000103aa1330 QtGui`QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) + 448
    frame #32: 0x0000000103a58896 QtGui`qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1227
    frame #33: 0x00007fff97ad9713 AppKit`-[NSWindow _handleMouseUpEvent:isDelayedEvent:] + 119
    frame #34: 0x00007fff97ada3ad AppKit`-[NSWindow _reallySendEvent:isDelayedEvent:] + 212
    frame #35: 0x00007fff97519539 AppKit`-[NSWindow sendEvent:] + 517
    frame #36: 0x0000000103a50e76 QtGui`-[QCocoaWindow sendEvent:] + 113
    frame #37: 0x00007fff97499a38 AppKit`-[NSApplication sendEvent:] + 2540
    frame #38: 0x0000000103a5530a QtGui`-[QNSApplication sendEvent:] + 97
    frame #39: 0x00007fff97300df2 AppKit`-[NSApplication run] + 796
    frame #40: 0x0000000103a5d5f4 QtGui`QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1494
    frame #41: 0x000000010486d0f1 QtCore`QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 77
    frame #42: 0x000000010486d26c QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 366
    frame #43: 0x000000010486fe69 QtCore`QCoreApplication::exec() + 199
    frame #44: 0x00000001000248fb libFreeCADGui.dylib`Gui::Application::runApplication() + 7915
    frame #45: 0x0000000100009cc6 FreeCAD`main + 4070
    frame #46: 0x00007fff9b88c5ad libdyld.dylib`start + 1
(lldb) 
CrashDump.txt (8,016 bytes)

Kunda1

2017-02-01 23:21

administrator   ~0008155

@OutsourcedGuru Thanks.
FYI please do not attach .rtf files to tickets. Instead use .txt or .log
I've uploaded a log file to replace the .rtf

Kunda1

2017-02-01 23:22

administrator   ~0008156

@OutsourcedGuru
Also please respond to https://forum.freecadweb.org/viewtopic.php?f=10&t=20215&p=155927#p155927

Kunda1

2017-03-02 13:13

administrator   ~0008513

Last edited: 2017-03-02 13:14

View 2 revisions

@OutsourcedGuru ping
please respond to @chrisb @cox in https://forum.freecadweb.org/viewtopic.php?f=10&t=20215&p=155927#p155927

Edit:
Sorry chrisb, i pinged you accidentally :/

ic_ian

2017-03-03 21:23

reporter   ~0008531

@kunda1 @cox

I am able to reproduce this by doing the following.

1. Create new Application/Document
2. Change view to "Part"
3. Create geometric primitive "circle", size is irrelevant.
4. Exit geometric primitive screen.
5. Click "Advanced utility to create shapes"
6. Select "Face from edges",
7. Click the circle edge
8. Click "Create"
9. CRASH.




Mar  3 21:12:02 Zaphods-MBP-2 FreeCAD[3823]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked
Mar  3 21:12:58 Zaphods-MBP-2 com.apple.xpc.launchd[1] (com.apple.xpc.launchd.oneshot.0x10000089.FreeCAD[3823]): Service exited with abnormal code: 1
Mar  3 21:17:18 Zaphods-MBP-2 FreeCAD[3855]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked
Mar  3 21:20:02 Zaphods-MBP-2 com.apple.xpc.launchd[1] (com.apple.xpc.launchd.oneshot.0x1000008a.FreeCAD[3855]): Service exited with abnormal code: 1
Mar  3 21:21:15 Zaphods-MBP-2 FreeCAD[4023]: BUG in libdispatch client: kevent[EVFILT_MACHPORT] monitored resource vanished before the source cancel handler was invoked
Mar  3 21:21:42 Zaphods-MBP-2 com.apple.xpc.launchd[1] (com.apple.xpc.launchd.oneshot.0x1000008c.FreeCAD[4023]): Service exited with abnormal code: 1



default	21:21:11.076268 +0000	FreeCAD	subsystem: com.apple.SkyLight, category: default, enable_level: 0, persist_level: 0, default_ttl: 7, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 0, enable_private_data: 0
default	21:21:11.086456 +0000	FreeCAD	WARNING: The Gestalt selector gestaltSystemVersion is returning 10.9.3 instead of 10.12.3. This is not a bug in Gestalt -- it is a documented limitation. Use NSProcessInfo's operatingSystemVersion property to get correct system version number.
Call location:
default	21:21:11.086731 +0000	FreeCAD	0   CarbonCore                          0x00007fffb1cb51e1 ___Gestalt_SystemVersion_block_invoke + 121
default	21:21:11.086766 +0000	FreeCAD	1   libdispatch.dylib                   0x0000000113e9c0b8 _dispatch_client_callout + 8
default	21:21:11.086787 +0000	FreeCAD	2   libdispatch.dylib                   0x0000000113e9c075 dispatch_once_f + 38
default	21:21:11.086809 +0000	FreeCAD	3   CarbonCore                          0x00007fffb1c43272 _Gestalt_SystemVersion + 976
default	21:21:11.086829 +0000	FreeCAD	4   CarbonCore                          0x00007fffb1c42a8d Gestalt + 139
default	21:21:11.086848 +0000	FreeCAD	5   QtCore                              0x0000000113881a8e _ZN16QSettingsPrivate6createEN9QSettings6FormatENS0_5ScopeERK7QStringS5_ + 74
default	21:21:11.086870 +0000	FreeCAD	6   QtCore                              0x00000001138670a8 _ZN9QSettingsC1ERK7QStringS2_P7QObject + 34
default	21:21:11.087183 +0000	FreeCAD	subsystem: com.apple.libsqlite3, category: logging, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 1, privacy_setting: 2, enable_private_data: 0
default	21:21:11.087923 +0000	FreeCAD	subsystem: com.apple.securityd, category: unixio, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:11.088062 +0000	FreeCAD	subsystem: com.apple.securityd, category: macho, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:11.088520 +0000	FreeCAD	subsystem: com.apple.securityd, category: bundle, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:11.091075 +0000	FreeCAD	subsystem: com.apple.securityd, category: security_exception, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:11.091183 +0000	FreeCAD	MacOS error: -67062
default	21:21:11.895274 +0000	kernel	[FreeCAD pid:4023 mux-aware] starting, non-mux-aware app count 0, EG 3D: idle HDA: idle
default	21:21:11.895311 +0000	kernel	[FreeCAD pid 4023 mux-aware] exiting, non-mux-aware app count 0, runtime: 0:00:00.000
default	21:21:11.895510 +0000	kernel	[FreeCAD pid:4023 non-mux-aware] starting, non-mux-aware app count 1, EG 3D: idle HDA: idle
default	21:21:15.347783 +0000	FreeCAD	subsystem: com.apple.securityd, category: secpref, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348270 +0000	FreeCAD	subsystem: com.apple.securityd, category: integrity, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348386 +0000	FreeCAD	subsystem: com.apple.securityd, category: cssm, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348463 +0000	FreeCAD	subsystem: com.apple.securityd, category: callback, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348576 +0000	FreeCAD	subsystem: com.apple.securityd, category: handleobj, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348671 +0000	FreeCAD	subsystem: com.apple.securityd, category: MDS_Scan, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348761 +0000	FreeCAD	subsystem: com.apple.securityd, category: MDS_API, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.348837 +0000	FreeCAD	subsystem: com.apple.securityd, category: SSclnt, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.349228 +0000	FreeCAD	subsystem: com.apple.securityd, category: MDS_IO, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.349309 +0000	FreeCAD	subsystem: com.apple.securityd, category: mdslock, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.350114 +0000	FreeCAD	subsystem: com.apple.securityd, category: DBOpen, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.350184 +0000	FreeCAD	subsystem: com.apple.securityd, category: dbsession, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.350351 +0000	FreeCAD	subsystem: com.apple.securityd, category: atomicfile, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.350377 +0000	FreeCAD	0x60800027a980 opened /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsObject.db: 4636 bytes
default	21:21:15.355138 +0000	FreeCAD	0x60800027a980 closed /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsObject.db
default	21:21:15.355460 +0000	FreeCAD	0x600000279bc0 opened /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsDirectory.db: 50744 bytes
default	21:21:15.355498 +0000	FreeCAD	0x600000279bc0 closed /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsDirectory.db
default	21:21:15.356943 +0000	FreeCAD	0x600000279bc0 opened /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsDirectory.db: 50744 bytes
default	21:21:15.356976 +0000	FreeCAD	0x600000279bc0 closed /var/folders/zk/b454lqnj3k18k5y_lv32px2m0000gn/C//mds/mdsDirectory.db
default	21:21:15.358090 +0000	FreeCAD	0x60000027c580 opened /System/Library/Keychains/SystemRootCertificates.keychain: 385940 bytes
default	21:21:15.358197 +0000	FreeCAD	0x60000027c580 closed /System/Library/Keychains/SystemRootCertificates.keychain
default	21:21:15.359005 +0000	FreeCAD	loading /System/Library/Keychains/SystemRootCertificates.keychain
default	21:21:15.360955 +0000	FreeCAD	subsystem: com.apple.securityd, category: kcreferral, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.361145 +0000	FreeCAD	subsystem: com.apple.securityd, category: dateparse, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.367793 +0000	FreeCAD	subsystem: com.apple.securityd, category: trustSettingsEval, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.367922 +0000	FreeCAD	subsystem: com.apple.securityd, category: trustSettings, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:15.381432 +0000	FreeCAD	subsystem: com.apple.network, category: , enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:29.671779 +0000	FreeCAD	subsystem: com.apple.SystemConfiguration, category: SCPreferences, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:29.672269 +0000	FreeCAD	subsystem: com.apple.SystemConfiguration, category: SCNetworkConfiguration, enable_level: 0, persist_level: 0, default_ttl: 0, info_ttl: 0, debug_ttl: 0, generate_symptoms: 0, enable_oversize: 0, privacy_setting: 2, enable_private_data: 0
default	21:21:40.975735 +0000	FreeCAD	modalSession has been exited prematurely - check for a reentrant call to endModalSession:
default	21:21:42.920020 +0000	kernel	AMFI: allowing exception handler for 'FreeCAD' (4023) because the process is unsigned.
default	21:21:42.924407 +0000	kernel	[FreeCAD pid 4023 non-mux-aware] exiting, non-mux-aware app count 0, runtime: 0:00:31.029

ic_ian

2017-03-03 21:29

reporter   ~0008532

To get around this I ticked the "Planar" option, but I have no idea if that is the correct solution!

Kunda1

2017-03-03 22:05

administrator   ~0008535

@ic_ian Thanks! BTW, please remember to post your Help > About FreeCAD > Copy to clipboard

ic_ian

2017-03-06 08:46

reporter   ~0008545

Last edited: 2017-03-06 08:54

View 2 revisions

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: tag: 0.16.6706
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17

ic_ian

2017-03-06 08:46

reporter   ~0008546

Last edited: 2017-03-27 17:10

View 3 revisions

OS: Mac OS X 
Word size of OS: 64-bit 
Word size of FreeCAD: 64-bit 
Version: 0.16.6706 (Git) 
Build type: Release 
Branch: tag: 0.16.6706 
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0 
Python version: 2.7.11 
Qt version: 4.8.7 
Coin version: 3.1.3 
OCC version: 6.8.0.oce-0.17 

Also this tutorial: https://www.freecadweb.org/wiki/Thread_for_Screw_Tutorial

abdullah

2017-05-24 22:00

manager   ~0009117

@kunda1

I would tend to think that this is a bug for Part, not Part Design.

Kunda1

2017-06-29 05:44

administrator   ~0009599

@peterl94 can you reproduce on macosx? (Stable and dev?)

peterl94

2017-06-30 01:46

developer   ~0009620

Last edited: 2017-06-30 01:50

View 2 revisions

I can reproduce the crash in both of these versions following the instructions ic_ian provided.

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: tag: 0.16.6706
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11474 (Git)
Build type: Release
Branch: (detached from 74e7940)
Hash: 74e794002464b5230966bae86ce84409b0ee74fc
Python version: 2.7.13
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.1.0

The backtrace is exactly the same as the above CrashDump.txt. Also as ic_ian discovered, it does not crash if the "Planar" option is enabled.

What is really strange is that I can't reproduce the crash with my self compiled version.
OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11474 (Git)
Build type: Release
Branch: master
Hash: 74e794002464b5230966bae86ce84409b0ee74fc
Python version: 2.7.13
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.1.0
The only major differences between the travis builds and mine that I know of are the OS and compiler versions.

Edit: I'm using Xcode 8.3.3 on macOS 10.12.5

peterl94

2017-07-01 12:50

developer   ~0009637

Just noticed this is the same issue as 0002985, since it crashes in the same occt function. It seems like a compiler issue to me. I'm going to see if travis has a newer macOS image available to test this theory.

Kunda1

2017-08-19 12:58

administrator   ~0009955

@peterl94 any updates?

peterl94

2017-08-20 11:25

developer   ~0009967

I have confirmed this is a macOS compiler issue with occt. This issue and 0002985 does not happen with the following build compiled with Xcode 8.3 on macOS 10.12: https://github.com/peterlama/FreeCAD_sf_master/releases/tag/0.17_pre

I want to keep using macOS 10.10 for the official builds, so I don't know how this ticket should be handled. Maybe keep it open until we are using occt 7.2 to see if that makes any difference.

Kunda1

2017-08-20 13:17

administrator   ~0009968

Tagging as 'upstream'

blacey

2017-08-20 16:32

developer   ~0009969

Last edited: 2017-08-20 16:37

View 2 revisions

Nice job Peter. I don't have time to pursue this myself but We could consider using a later Xcode and setting the deployment target to 10.10. If think the following would work on the Travis Xcode 8.3 image (homebrew deployment target dependency implications aside):

set(CMAKE_OSX_SYSROOT macosx10.12)
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.10")

Of course this means that the unit tests will only be regressed on 10.12 even though the app will be "deployable" on 10.10. We could add another Travis build target that simply builds and regresses the tests on Xcode 6.4/10.10 for full 10.10 coverage but build, package and deploy on Xcode 8.3/10.12.

Finally, if we pursue this path, I will need to identify the root cause for the ports-cache errors we when restoring on 10.12.

Peter, you have everything setup other than the CMakeLists.txt changes so do you want to test this? I have a 10.10 VM that I can test your build on if that helps.

Kunda1

2017-08-28 11:50

administrator   ~0010015

Just making sure @peterl94 saw 0002842:0009969

peterl94

2017-08-28 22:10

developer   ~0010037

@Kunda1 - Yes, it is on my todo list.

Kunda1

2018-10-12 13:16

administrator   ~0012010

Added to 0.18 Roadmap

Issue History

Date Modified Username Field Change
2017-01-12 03:04 OutsourcedGuru New Issue
2017-01-12 15:46 Kunda1 Note Added: 0007674
2017-01-17 20:25 Kunda1 Note Added: 0007851
2017-01-17 20:25 Kunda1 Status new => feedback
2017-01-17 20:25 Kunda1 Priority urgent => normal
2017-01-19 13:00 Kunda1 Tag Attached: MacOSX
2017-01-19 13:01 Kunda1 Steps to Reproduce Updated View Revisions
2017-01-25 12:51 Kunda1 Note Added: 0007982
2017-01-25 21:15 Kunda1 Note Added: 0007986
2017-02-01 03:31 OutsourcedGuru File Added: CrashDump.rtf
2017-02-01 03:33 OutsourcedGuru Note Added: 0008142
2017-02-01 03:33 OutsourcedGuru Status feedback => new
2017-02-01 23:19 Kunda1 File Added: CrashDump.txt
2017-02-01 23:19 Kunda1 File Deleted: CrashDump.rtf
2017-02-01 23:21 Kunda1 Note Added: 0008155
2017-02-01 23:22 Kunda1 Note Added: 0008156
2017-02-01 23:22 Kunda1 Status new => feedback
2017-03-02 13:13 Kunda1 Note Added: 0008513
2017-03-02 13:14 Kunda1 Note Edited: 0008513 View Revisions
2017-03-03 21:23 ic_ian Note Added: 0008531
2017-03-03 21:29 ic_ian Note Added: 0008532
2017-03-03 22:04 Kunda1 Target Version => 0.17
2017-03-03 22:05 Kunda1 Note Added: 0008535
2017-03-06 08:46 ic_ian Note Added: 0008545
2017-03-06 08:46 ic_ian Note Added: 0008546
2017-03-06 08:54 kkremitzki Note Edited: 0008545 View Revisions
2017-03-06 08:54 kkremitzki Note Edited: 0008546 View Revisions
2017-03-27 17:08 Kunda1 Steps to Reproduce Updated View Revisions
2017-03-27 17:09 Kunda1 Steps to Reproduce Updated View Revisions
2017-03-27 17:10 Kunda1 Note Edited: 0008546 View Revisions
2017-04-28 15:47 Kunda1 Status feedback => confirmed
2017-05-24 22:00 abdullah Note Added: 0009117
2017-05-24 22:03 Kunda1 Project PartDesign => Part
2017-05-24 22:03 Kunda1 Category Bug => General
2017-05-24 22:03 Kunda1 Category General => Bug
2017-06-29 05:41 Kunda1 Tag Attached: #pending
2017-06-29 05:44 Kunda1 Note Added: 0009599
2017-06-30 01:46 peterl94 Note Added: 0009620
2017-06-30 01:50 peterl94 Note Edited: 0009620 View Revisions
2017-07-01 12:50 peterl94 Note Added: 0009637
2017-08-19 12:58 Kunda1 Note Added: 0009955
2017-08-20 11:25 peterl94 Note Added: 0009967
2017-08-20 13:16 Kunda1 Tag Attached: upstream
2017-08-20 13:17 Kunda1 Note Added: 0009968
2017-08-20 13:17 Kunda1 Tag Attached: OCC Bug
2017-08-20 13:18 Kunda1 Tag Attached: OCC 7.2
2017-08-20 16:32 blacey Note Added: 0009969
2017-08-20 16:37 blacey Note Edited: 0009969 View Revisions
2017-08-28 11:50 Kunda1 Note Added: 0010015
2017-08-28 22:10 peterl94 Note Added: 0010037
2017-10-01 21:08 wmayer Relationship added duplicate of 0002985
2018-01-30 16:38 wmayer Target Version 0.17 =>
2018-10-12 13:16 Kunda1 Target Version => 0.18
2018-10-12 13:16 Kunda1 Note Added: 0012010
2018-10-12 13:17 Kunda1 Assigned To => peterl94
2018-10-12 13:17 Kunda1 Status confirmed => assigned
2019-02-23 20:31 wmayer Target Version 0.18 => 0.19